diff '--color=auto' -Naur php-8.4.18/build/gen_stub.php php-8.4.20RC1/build/gen_stub.php
--- php-8.4.18/build/gen_stub.php	2026-02-10 17:48:03.000000000 +0000
+++ php-8.4.20RC1/build/gen_stub.php	2026-04-01 04:35:35.991525982 +0000
@@ -84,7 +84,7 @@
         }
 
         /* Because exit() and die() are proper token/keywords we need to hack-around */
-        $hasSpecialExitAsFunctionHandling = str_ends_with($stubFile, 'zend_builtin_functions.stub.php');
+        $hasSpecialExitAsFunctionHandling = basename($stubFile) == 'zend_builtin_functions.stub.php';
         if (!$fileInfo = $context->parsedFiles[$stubFile] ?? null) {
             initPhpParser();
             $stubContent = $stubCode ?? file_get_contents($stubFile);
diff '--color=auto' -Naur php-8.4.18/.circleci/config.yml php-8.4.20RC1/.circleci/config.yml
--- php-8.4.18/configure.ac	2026-02-10 17:48:03.000000000 +0000
+++ php-8.4.20RC1/configure.ac	2026-04-01 04:39:06.630074157 +0000
@@ -17,7 +17,7 @@
 dnl ----------------------------------------------------------------------------
 
 AC_PREREQ([2.68])
-AC_INIT([PHP],[8.4.18],[https://github.com/php/php-src/issues],[php],[https://www.php.net])
+AC_INIT([PHP],[8.4.20RC1],[https://github.com/php/php-src/issues],[php],[https://www.php.net])
 AC_CONFIG_SRCDIR([main/php_version.h])
 AC_CONFIG_AUX_DIR([build])
 AC_PRESERVE_HELP_ORDER
diff '--color=auto' -Naur php-8.4.18/configure.ac.orig php-8.4.20RC1/configure.ac.orig
